showtree(1)

NAME
showtree - View and/or convert phylogenetic trees in the terminal.

SYNOPSIS
showtree [OPTIONS] [treefile]

DESCRIPTION

View and/or convert phylogenetic trees in the terminal.

treefile is the filename of the for the file containing trees in PRIME format.

OPTIONS

--help
    Display help (this text).

-V, --version
    Print version and exit

-e, --show-edgetimes
    Show edge times

-n, -show-nodetimes
    Show node times

-b, --show-edgeweights
    Show edge weights (i.e. branch lengths)

-x, --show-tot-edgetime
    Show total edge time instead of tree

-y, --show-tot-edgeweight
    Show total edge weight instead of tree

-c, --read-edge-times-after-colon
    Read edge times after colon

-p, --convert-and-output-tree-in-prime-format
    Convert and output tree in PRIME format

-i, --show-id
    Show ID (only valid together with -p)

-S, --read-tree-from-stdin
    Read tree from STDIN (no <treefile> nor <tree> needed)

-f, --format asciidrawing|prime|newick|simplenewick
    The output format. Default is asciidrawing. Output formats:

    newick - convert and output tree in NEWICK format

    simplenewick - Simple newick format, no branch lengths. This also enables reading of unbalanced trees.

    prime - prime format

    asciidrawing - an ascii drawing

-t, --tree-number
    Use the tree with this number. If not set all trees will be printed out.

-t, --tree-number
    Use the tree with this number. If not set all trees will be printed out.

EXIT STATUS

0   Successful program execution.

1   Some error occurred

URL

The prime-phylo home page: http://prime.sbc.su.se

SEE ALSO
primeDTLSR(1), primeDLRS(1), primeGEM(1), chainsaw(1), reconcile(1), reroot(1), tree2leafnames(1), treesize(1)